/**
 * Created by PhpStorm.
 * User: pascal
 * Date: 2019-01-09
 * Time: 13:06
 */


$(document).ready(function () {
    //console.log('[Site Partial Recast - main.js] homepage index');


    // Index.
    //
    // Page index du site.


    // Écoute le clique sur le bouton "rechercher".
    $('#openSearchButton').click(function () {
        $('#searchView').addClass("is-active");

        // On écoute le clique sur le bouton 'close'

    });

    $('#searchClose').click(function () {
        $('#searchView').removeClass("is-active");
    });




    // Écoute le rollover sur les boutons univers.
    var $coverButtons = $('[data-cover-target]');
    $coverButtons.mouseover(function () {
        var target = $(this).data('coverTarget');
        if(target) {
            //$('#' + target + '').removeClass("is-inactive");
            $('#' + target + '').addClass("is-active");
        }
    });
    $coverButtons.mouseout(function () {
        var target = $(this).data('coverTarget');
        if(target) {
            //$('#' + target + '').addClass("is-inactive");
            $('#' + target + '').removeClass("is-active");
        }
    });


    // La video doit démarrer à 0s || 6s || 10s

    // var video = document.getElementById("js-cover-video");
    // var times = [0];
    // var value = times[Math.floor(Math.random() * 3)];
    // var that = this;
    // video.pause();
    //
    // console.log(video.readyState);
    // if (video.readyState !== 0) {
    //     seekToTime(value);
    // } else {
    //     video.addEventListener('loadedmetadata', function (ev) {
    //         console.log(ev);
    //         seekToTime(value);
    //     });
    // }
    //
    // //
    // function seekToTime(pValue) {
    //     video.currentTime = pValue;
    //     var promise = video.play();
    //     if (promise !== undefined) {
    //         promise.then(function (value1) {
    //             document.getElementById('js-cover-video').style.opacity = 1;
    //             console.log(pValue, video.currentTime);
    //         });
    //     } else {
    //         console.log('No Promises !');
    //         document.getElementById('js-cover-video').style.opacity = 1;
    //         //video.play();
    //     }
    // }



});
